
# \section{One-dimensional data}

# \subsection{One-dimensional tests}

salary <- c(21, 19, 27, 11, 102, 25, 21)

t.test(salary, mu=mean(salary))

wilcox.test(salary, mu=median(salary), conf.int=TRUE)

qqnorm(salary); qqline(salary) # Bad!

# Good:

set.seed(1); qqnorm(rnorm(100)); qqline(rnorm(100))

shapiro.test(salary) # What is a null hypothesis?!

set.seed(1); shapiro.test(rnorm(1000)) # Null is normality!

# \subsection{Normality and R functions}

Normality <- function(x, p=.05)
{
ifelse(shapiro.test(x)$p.value > p, "NORMAL", "NOT NORMAL")
}

sapply(trees, Normality)

sapply(log(trees+1), Normality)
