Normality <- function(x, p=.05)
{
ifelse(shapiro.test(x)$p.value > p,"NORMAL", "NOT NORMAL")
}
options(scipen=100)

placebo1 <- c(160, 140, 140, 180, 120)
drug1 <- c(140, 120, 180, 160, 160)
drug10 <- c(120, 100, 150, 150, 160)
placebo10 <- c(160, 150, 130, 180, 110)

sapply(list(placebo1, drug1, placebo10, drug10), Normality)

t.test(placebo1, drug1)
# t.test(drug1, drug10) # wrong!
t.test(drug1, drug10, paired=T)
t.test(placebo10, drug10)
t.test(placebo1, placebo10, paired=T)

ph <- read.table("http://ashipunov.info/data/phaseolus.txt", h=T)
str(ph)
t.test(ph$CONTROL.1, ph$CONTROL.2, paired=T)
t.test(ph$CONTROL.1, ph$EXPER.1)
t.test(ph$CONTROL.2, ph$EXPER.2)

a <- 51:59
b <- 1:9
x <- rep(5, 9)
a
b
x
t.test(b, x)

str(sleep)
head(sleep)
t.test(extra ~ group, data=sleep)
boxplot(extra ~ group, data=sleep)

data.frame(placebo1, placebo10)
placebo.all <- stack(data.frame(placebo1, placebo10))
placebo.all
unstack(placebo.all)
t.test(values ~ ind, data=placebo.all)
boxplot(values ~ ind, data=placebo.all)

leaves12 <- stack(ph[,1:2])
head(leaves12)
t.test(values ~ ind, data=leaves12)
boxplot(values ~ ind, data=leaves12)

str(airquality)
head(airquality)
sapply(airquality, Normality)
wilcox.test(Ozone ~ Month, data=airquality, subset=Month %in% c(5,8))
boxplot(Ozone ~ Month, data=airquality, subset=Month %in% c(5,8))
