options(scipen=100)
source("http://ashipunov.info/r/asmisc.r")
library(effsize)

eq <- read.table("http://ashipunov.info/data/eq.txt", h=T)
str(eq)
table(eq$N.REB, eq$N.ZUB)
chisq.test(eq$N.REB, eq$N.ZUB, simulate.p.value=T)
sapply(eq[,-1], Normality)
wilcox.test(DL.R ~ SPECIES, data=eq, conf.int=T)
cliff.delta(DL.R ~ SPECIES, data=eq)

first <- c(82, 107, 91, 115, 109, 58, 110, 71, 98, 79, 105, 103)
second <- c(115, 80, 84, 115, 101, 85, 105, 95, 70, 115, 115, 105)
Normality(first)
Normality(second)
t.test(first, second, paired=T)
cohen.d(first, second, paired=T)

pr <- read.table("http://ashipunov.info/data/seedlings.txt", h=T)
str(pr)
pr$CID
pr$GERM.14
p105 <- chisq.test(table(subset(pr, CID==c(0,105))), simulate.p.value=T)$p.value
p63 <- chisq.test(table(subset(pr, CID==c(0,63))), simulate.p.value=T)$p.value
p80 <- chisq.test(table(subset(pr, CID==c(0,80))), simulate.p.value=T)$p.value
p.adjust(c(p63, p80, p105), method="bonferroni")

ae <- read.table("http://ashipunov.info/shipunov/open/aegopodium.txt", h=T)
str(ae)
sapply(ae, Normality)
wilcox.test(LEAF.L ~ SUN, data=ae, conf.int=T)
cliff.delta(LEAF.L ~ SUN, data=ae)
boxplot(LEAF.L ~ SUN, data=ae)

co <- read.table("http://ashipunov.info/shipunov/open/cochlearia.txt", h=T)
str(co)
table(co$LOC, co$IS.CREEPING)
chisq.test(table(co$LOC, co$IS.CREEPING), simulate.p.value=T)
