mice <- read.table("http://ashipunov.info/data/mice.txt", h=T)
source("http://ashipunov.info/r/asmisc.r")
str(mice)

head(mice[,c(5,7)])
boxplot(mice[,c(5,7)])
sapply(mice[,c(5,7)], Normality)
wilcox.test(mice$timeDRUG, mice$timeSALINE, alt="less", paired=T)

# convert short to long:
# you can do it with "stack(mice[, c(5,7)])"
newtimes <- c(mice$timeDRUG, mice$timeSALINE)
newids <- rep(c("timeDRUG", "timeSALINE"), each=nrow(mice)) 
wilcox.test(newtimes ~ newids, paired=T, alt="less", conf.int=T) # same as first!
boxplot(newtimes ~ newids) # same as first!

head(mice[,c(2,7)])
boxplot(timeSALINE ~ Sex, data=mice)
wilcox.test(timeSALINE ~ Sex, data=mice, conf.int=T)

# convert long to short:
# you can do it with "unstack(mice[, c(2,7)])"
female <- mice[mice$Sex=="F",]
male <- mice[mice$Sex=="M",]
wilcox.test(female$timeSALINE, male$timeSALINE, conf.int=T) # same as previous!
boxplot(female$timeSALINE, male$timeSALINE) # same as previous!

a <- c(1,2,3,4,5)
b <- c(6,7,8,9,10)
sapply(list(a, b), Normality)
t.test(a, b)
boxplot(a, b)
data.frame(a, b) # short format

# convert short to long:
# you can do it with "stack(data.frame(a, b))"
new <- c(a, b)
ids <- rep(c("a", "b"), each=5)
(d <- data.frame(new, ids)) # long format
boxplot(new ~ ids, data=d) # same as previous!
t.test(new ~ ids, data=d) # same as previous!

table(mice$Sex, mice$Dose)
chisq.test(table(mice$Sex, mice$Dose))
mosaicplot(table(mice$Sex, mice$Dose))

cor(a, b)
rb <- rev(b)
cor(a, rb)
plot(a, rb, type="l")
plot(a, b, type="l")
n <- c(2, 3, 2, 3, 2)
cor(a, n)
plot(a, n, type="l")
cor.test(a, n)
cor.test(a, b)
cor.test(a, rb)
cor.test(a, rb, method="spearman")
cor(a, rb, method="spearman")

women
sapply(women, Normality)
cor(women)
plot(weight ~ height, data=women)
