source("http://ashipunov.info/r/asmisc.r")

value <- c(32, 37, 32, 32, 37, 38, 38, 35.5, 34) # computer screen length
id <- c("m","m","f","f","f","m","f","f","m") # sex of person
c1 <- data.frame(value, id) # long format
c2 <- unstack(data.frame(value, id)) # short format
Normality(c1$value)
t.test(value ~ id, data=c1) # t-test for long format: formula
t.test(c2$f, c2$m) # t-test for short format: variables

stack(c2) # convert short to long again

value2 <- c("g","b","g","g","g","g","b","b","b") # computer color
data.frame(id, value2)
c3 <- data.frame(id, value2)
table(c3) # contingency table
chisq.test(table(c3), simulate.p.value=T) # test association
fisher.test(table(c3)) # another test for association
# install.packages("vcd")
library(vcd) # install it first
assocstats(table(c3)) # effect sizes: last three rows
sqrt(chisq.test(table(c3))$statistic/sum(table(c3))) # phi-coefficient

symnum(cor(trees))
dact <- read.table("http://ashipunov.info/data/dact2.txt", h=T)
str(dact)
cor(dact[,c(2:4, 6:10)]) # cryptic
symnum(cor(dact[,c(2:4, 6:10)])) # easy
library(lattice)
levelplot(cor(dact[,c(2:4, 6:10)]))
source("http://ashipunov.info/r/pleiad.r")
Pleiad(cor(dact[,c(2:4, 6:10)]))

# install.packages("ISwR")
library(ISwR) # install it first
str(thuesen)
summary(thuesen)
thuesen <- na.omit(thuesen)
summary(thuesen)
thuesen.lm <- lm(short.velocity ~ blood.glucose, data=thuesen)
summary(thuesen.lm)
plot(thuesen.lm, ask=F) # ask=F is for scripts
Normality(thuesen.lm$residuals)
plot(short.velocity ~ blood.glucose, data=thuesen)
abline(thuesen.lm)
Cladd(thuesen.lm, data=thuesen)

gdp2010 <- read.table("http://ashipunov.info/data/gdp2010.txt", h=T, sep="\t")
mg <- data.frame(murder=USArrests$Murder, gdp=gdp2010$GDP)
str(mg)
mg.lm <- lm(murder ~ gdp, data=mg)
summary(mg.lm)
plot(murder ~ gdp, data=mg)
abline(mg.lm)
Cladd(mg.lm, data=mg)
