id <- c("m","m","f","f","f","m","f","f","m")
value2 <- c("g","b","g","g","g","g","b","b","b") 
table(id, value2)
chisq.test(table(id, value2), simulate.p.value=T)
source("http://ashipunov.info/r/pleiad.r")
VTcoeffs(table(id, value2))
dact <- read.table("http://ashipunov.info/data/dact2.txt", h=T)
(d2 <- table(dact$LEAF.SP, dact$LIP.COL))
VTcoeffs(d2)

oldpar <- par(mfrow=c(3,3))
set.seed(101)
for (i in 1:9) plot(1:50, rnorm(50), xlab="Fitted", ylab="Residuals")
title("Good Residuals vs. Fitted", outer=T, line=-2)
for (i in 1:9) plot(1:50, (1:50)*rnorm(50), xlab="Fitted", ylab="Residuals")
title("Bad Residuals vs. Fitted", outer=T, line=-2)
for (i in 1:9) { a <- rnorm(50); qqnorm(a, main=""); qqline(a) }
title("Good normality QQ plots", outer=T, line=-2)
for (i in 1:9) { a <- (1:50)*rnorm(50); qqnorm(a, main=""); qqline(a) }
title("Bad normality QQ plots", outer=T, line=-2)
par(oldpar)
rm(.Random.seed, envir=.GlobalEnv) # unset set.seed()

women.lm1 <- lm(weight ~ height, data=women)
women.lm2 <- lm(weight ~ height + I(height^2), data=women)
summary(women.lm2)
summary(women.lm1)
oldpar <- par(mfrow=c(2,1))
plot(women.lm1, which=1)
plot(women.lm2, which=1)
title("Bad vs. good models for women data", outer=T, line=-2)
par(oldpar)

AIC(women.lm1)
AIC(women.lm2)

# ipo <- read.table("http://ashipunov.info/data/ipomopsis.txt") # wrong!
ipo <- read.table("http://ashipunov.info/data/ipomopsis.txt", h=T)
head(ipo)

plot(Fruit ~ Root, data=ipo, pch=as.numeric(ipo$Grazing))
grazed.lm <- lm(Fruit ~ Root, data=subset(ipo, Grazing=="Grazed"))
ungrazed.lm <- lm(Fruit ~ Root, data=subset(ipo, Grazing=="Ungrazed"))
abline(grazed.lm)
abline(ungrazed.lm, lty=2)
legend("topleft", pch=1:2, lty=1:2, legend=c("Grazed","Ungrazed"))

ipo.lm1 <- lm(Fruit ~ Root * Grazing, data=ipo)
summary(ipo.lm1)
ipo.lm2 <- update(ipo.lm1, . ~ . - Root:Grazing)
summary(ipo.lm2)
