# url.show("http://ashipunov.info/data/eggs.txt") # interactive command, not for the script
eggs <- read.table("http://ashipunov.info/data/eggs.txt")
str(eggs)
summary(eggs)
sort(table(eggs$V3))
e <- eggs[eggs$V3 %in% c("331","hp","622"),]
plot(V2 ~ V1, data=e, pch=as.numeric(e$V3))
# legend("topleft", pch=1:3, legend=c("331","622","hp")) # problem!
levels(e$V3)
e$V3 <- droplevels(e$V3)
table(e$V3)
levels(e$V3)
plot(V2 ~ V1, data=e, pch=as.numeric(e$V3))
legend("topleft", pch=1:3, legend=levels(e$V3)) # no problem :)

e <- eggs[eggs$V3 %in% c("331","hp","622"),]
e$V3 <- as.factor(as.character(e$V3)) # another way of dropping unused factor levels
levels(e$V3)

lo <- read.table("http://ashipunov.info/data/logit.txt")
str(lo)
lo.logit <- glm(V2 ~ V1, family=binomial, data=lo)
glm(V2 ~ V1, family=binomial, data=lo)
lo.logit <- glm(V2 ~ V1, family=binomial, data=lo)
summary(lo.logit)

new.points <- seq(min(lo$V1), max(lo$V1), length.out=14)
predicted.points <- predict(lo.logit, list(V1=new.points), type="response")
success <- as.numeric(lo$V2) - 1
plot(success ~ V1, data=lo)
lines(new.points, predicted.points)

tox <- read.table("http://ashipunov.info/data/tox.txt", h=T)
str(tox)
tox.logit <- glm(I(2-ILL) ~ CAESAR + TOMATO, family=binomial, data=tox)
tox.logit2 <- update(tox.logit, . ~ . - TOMATO)
tox.logit3 <- update(tox.logit, . ~ . - CAESAR)
tox.logit$aic
tox.logit2$aic
tox.logit3$aic

# url.show("http://ashipunov.info/data/hwc.txt") # interactive
hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=T)
str(hwc)
summary(hwc)
source("http://ashipunov.info/r/asmisc.r")
sapply(hwc[,2:3], Normality)
sapply(hwc[,c(2,3)], Normality)
sapply(hwc[,c("WEIGHT","HEIGHT")], Normality)
