hwc <- read.table("http://ashipunov.info/data/hwc.txt", h=T)
summary(hwc)
boxplot(WEIGHT ~ COLOR, data=hwc)
source("http://ashipunov.info/r/asmisc.r")
sapply(hwc[, 2:3], Normality)
sapply(subset(hwc, select=2:3), Normality)

tapply(hwc$WEIGHT, hwc$COLOR, var)
bartlett.test(WEIGHT ~ COLOR, data=hwc)

wc <- aov(WEIGHT ~ COLOR, data=hwc)
summary(wc)
options(scipen=100)
pairwise.t.test(hwc$WEIGHT, hwc$COLOR)
TukeyHSD(wc)

hwc2 <- read.table("http://ashipunov.info/data/hwc2.txt", h=T)
str(hwc2)
boxplot(WEIGHT ~ COLOR, data=hwc2)
sapply(hwc2[, 2:3], Normality)
tapply(hwc2$WEIGHT, hwc2$COLOR, var)
aggregate(hwc2[,2:3], by=list(hwc2[,3]), var)
bartlett.test(WEIGHT ~ COLOR, data=hwc2)
oneway.test(WEIGHT ~ COLOR, data=hwc2)
pairwise.t.test(hwc2$WEIGHT, hwc2$COLOR)

hwc3 <- read.table("http://ashipunov.info/data/hwc3.txt", h=T)
boxplot(WEIGHT ~ COLOR, data=hwc3)
sapply(hwc3[, 2:3], Normality)
kruskal.test(WEIGHT ~ COLOR, data=hwc3)
pairwise.wilcox.test(hwc3$WEIGHT, hwc3$COLOR)

hwc3$COLOR <- relevel(hwc3$COLOR, "brown") # browns first
summary(lm(WEIGHT ~ COLOR, data=hwc3))
plot(lm(WEIGHT ~ COLOR, data=hwc3), which=1:2) # check assumptions!

# c3 <- factor(hwc3$COLOR, levels=c("blond","brown","black")) # blonds first
# summary(lm(WEIGHT ~ c3, data=hwc3)) # same model but order is different

j <- read.table("http://ashipunov.info/shipunov/open/juniperus.txt", h=T)
j$LOC <- factor(j$LOC)
str(j)
summary(j)
Nnames(j)
boxplot(HEIGHT ~ LOC, data=j)
sapply(j[-1], Normality)

kruskal.test(HEIGHT ~ LOC, data=j)
pairwise.wilcox.test(j$HEIGHT, j$LOC)
pairwise.wilcox.test(jitter(j$HEIGHT), j$LOC) # repeat several times!

boxplot(NEEDLE.L ~ LOC, data=j)
tapply(j$NEEDLE.L, j$LOC, var)
bartlett.test(NEEDLE.L ~ LOC, data=j)
ne <- aov(NEEDLE.L ~ LOC, data=j)
summary(ne)
TukeyHSD(ne)
