source("http://ashipunov.info/r/asmisc.r")

library(scatterplot3d)
scatterplot3d(iris[,2:4], color=as.numeric(iris[,5]), pch=as.numeric(iris[,5]))

library(lattice)
cloud(Sepal.Length ~ Petal.Length * Petal.Width, groups=Species, data=iris, screen=list(y=30, z=70, x=-40))

ca <- read.table("http://ashipunov.info/shipunov/open/carex.txt", h=T)
str(ca)
ca.pca <- princomp(scale(ca[,-1]))
plot(ca.pca)
loadings(ca.pca)
ca.p <- ca.pca$scores[,1:2]
plot(ca.p[,1:2], type="n", xlab="PC1", ylab="PC2")
text(ca.p[,1:2], labels=ca[,1], col=ca[,1])
Hulls(ca.p[,1:2], ca[,1])

iris.pca <- prcomp(iris[,1:4], scale=T)
iris.pca$rotation
iris.p <- iris.pca$x[,1:2]
plot(iris.p, type="n", xlab="PC1", ylab="PC2")
text(iris.p, labels=abbreviate(iris[,5], 1, method="both.sides"), col=as.numeric(iris[,5]))
Ellipses(iris.p[,1:2], as.numeric(iris[,5]))
