nd <- read.table("http://ashipunov.info/data/nd.txt", h=T, sep="\t", row.names=1)
library(MASS)
nd.d <- as.dist(nd)
nd.c <- cmdscale(nd.d)
plot(nd.c[,1:2], type="n", xlab="Dim. 1", ylab="Dim. 2")
text(nd.c[,1:2], labels=row.names(nd))

plot(hclust(nd.d))

a <- read.table("http://ashipunov.info/data/atmospheres.txt", h=T, sep="\t", row.names=1)
a.d <- dist(t(a))
str(a)
plot(hclust(a.d))
a.c <- isoMDS(a.d)
plot(a.c$points[,1:2], type="n")
text(a.c$points[,1:2], labels=names(a))

mo <- read.table("http://ashipunov.info/shipunov/open/moldino.txt", h=T, sep="\t", row.names=1)
mp <- read.table("http://ashipunov.info/shipunov/open/moldino_l.txt", h=T, sep="\t", row.names=1)
library(MASS)
eqscplot(mp$LON, mp$LAT, cex=round(log(mp$SQUARE))-6)
text(mp$LON, mp$LAT, labels=row.names(mp), pos=4, offset=1)
# install.packages("pvclust")
library(pvclust)
mo.pv <- pvclust(mo, method.dist="manhattan", method.hclust="ward.D", nboot=100)
plot(mo.pv)
mo.j <- Jclust(t(mo), 3, iter=1000)
mo.j
plot(mo.j)

library(MASS)
iris.train <- iris[seq(1,nrow(iris),5),]
iris.unknown <- iris[-seq(1,nrow(iris),5),]
iris.lda <- lda(Species ~ . , data=iris.train)
iris.ldap <- predict(iris.lda, iris.unknown[,-5])$class
Misclass(iris.ldap, iris.unknown[,5])
